import type { Device } from "@siteimprove/alfa-device";
import type { Document } from "@siteimprove/alfa-dom";
import { Element } from "@siteimprove/alfa-dom";
import { Predicate } from "@siteimprove/alfa-predicate";
import { Sequence } from "@siteimprove/alfa-sequence";
/**
 * @internal
 */
export declare const getApplicableTargets: (this: unknown, document: Document, device: Device) => Sequence<Element<string>>;
/**
 * @internal
 *
 * @privateRemarks
 * This function is not used in the applicability of R111 or R113,
 * but in the expectation of R113 since all other targets are needed
 * to determine if an applicable target is underspaced.
 * It's kept here since it's closely related to the applicability.
 */
export declare const getAllTargets: (this: unknown, document: Document, device: Device) => Sequence<Element<string>>;
/**
 * @internal
 */
export declare function isTarget(device: Device): Predicate<Element>;
//# sourceMappingURL=targets-of-pointer-events.d.ts.map