import { Diagnostic } from "@siteimprove/alfa-act";
import type { Element, Node } from "@siteimprove/alfa-dom";
import type { Hash } from "@siteimprove/alfa-hash";
import type { Option } from "@siteimprove/alfa-option";
/**
 * @public
 */
export type HeadingPosition = "previous" | "next";
/**
 * @public
 */
export declare class WithOtherHeading extends Diagnostic {
    static of(message: string): Diagnostic;
    static of(message: string, otherHeading: Option<Element>, currentLevel: number, otherLevel: number, otherPosition: HeadingPosition): WithOtherHeading;
    private readonly _otherHeading;
    private readonly _currentLevel;
    private readonly _otherLevel;
    private readonly _otherPosition;
    protected constructor(message: string, otherHeading: Option<Element>, currentLevel: number, otherLevel: number, otherPosition: HeadingPosition);
    get otherHeading(): Option<Element>;
    get currentHeadingLevel(): number;
    get otherHeadingLevel(): number;
    get otherPosition(): HeadingPosition;
    equals(value: WithOtherHeading): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(options?: Node.SerializationOptions): WithOtherHeading.JSON;
}
/**
 * @public
 */
export declare namespace WithOtherHeading {
    interface JSON extends Diagnostic.JSON {
        otherHeading: Option.JSON<Element>;
        currentHeadingLevel: number;
        otherHeadingLevel: number;
        otherPosition: HeadingPosition;
    }
    function isWithOtherHeading(value: Diagnostic): value is WithOtherHeading;
    function isWithOtherHeading(value: unknown): value is WithOtherHeading;
}
//# sourceMappingURL=with-other-heading.d.ts.map