import { Diagnostic } from "@siteimprove/alfa-act";
import type { Device } from "@siteimprove/alfa-device";
import type { Element, Node } from "@siteimprove/alfa-dom";
import type { Option } from "@siteimprove/alfa-option";
import { Err, Ok } from "@siteimprove/alfa-result";
import type * as act from "@siteimprove/alfa-act";
export declare function audioTextAlternative(target: Element, device: Device): {
    1: act.Question<"node", Element<string>, Element<string>, Option<Node<string>>, import("@siteimprove/alfa-option").Maybe<import("@siteimprove/alfa-result").Result<Diagnostic, Diagnostic>>, "text-alternative">;
    2: act.Question<"node", Element<string>, Element<string>, Option<Node<string>>, import("@siteimprove/alfa-option").Maybe<import("@siteimprove/alfa-result").Result<Diagnostic, Diagnostic>>, "label">;
};
export declare function videoTextAlternative(target: Element, device: Device): {
    1: act.Question<"node", Element<string>, Element<string>, Option<Node<string>>, import("@siteimprove/alfa-option").Maybe<import("@siteimprove/alfa-result").Result<Diagnostic, Diagnostic>>, "text-alternative">;
    2: act.Question<"node", Element<string>, Element<string>, Option<Node<string>>, import("@siteimprove/alfa-option").Maybe<import("@siteimprove/alfa-result").Result<Diagnostic, Diagnostic>>, "label">;
};
/**
 * @public
 */
export declare namespace Outcomes {
    const HasPerceivableAlternative: (kind: "<audio>" | "<video>") => Ok<Diagnostic>;
    const HasNonPerceivableAlternative: (kind: "<audio>" | "<video>") => Err<Diagnostic>;
    const HasNoAlternative: (kind: "<audio>" | "<video>") => Err<Diagnostic>;
    const HasPerceivableLabel: (kind: "<audio>" | "<video>") => Ok<Diagnostic>;
    const HasNonPerceivableLabel: (kind: "<audio>" | "<video>") => Err<Diagnostic>;
    const HasNoLabel: (kind: "<audio>" | "<video>") => Err<Diagnostic>;
}
//# sourceMappingURL=media-text-alternative.d.ts.map