import { Either } from "@siteimprove/alfa-either";
import { Err, Ok } from "@siteimprove/alfa-result";
import { WithBoundingBox } from "../diagnostic.js";
export var TargetSize;
(function (TargetSize) {
    TargetSize.IsUserAgentControlled = (name, box) => Ok.of(WithBoundingBox.of("Target is user agent controlled", name, box, Either.left({ ua: true }), []));
    TargetSize.HasSufficientSize = (name, box) => Ok.of(WithBoundingBox.of("Target has sufficient size", name, box, Either.right({ size: true, spacing: true }), []));
    TargetSize.HasInsufficientSize = (name, box) => Err.of(WithBoundingBox.of("Target has insufficient size", name, box, Either.right({ size: false, spacing: true }), []));
    TargetSize.HasSufficientSpacing = (name, box) => Ok.of(WithBoundingBox.of("Target has sufficient spacing", name, box, Either.right({ size: false, spacing: true }), []));
    TargetSize.HasInsufficientSizeAndSpacing = (name, box, tooCloseNeighbors) => Err.of(WithBoundingBox.of("Target has insufficient size and spacing", name, box, Either.right({ size: false, spacing: false }), tooCloseNeighbors));
})(TargetSize || (TargetSize = {}));
//# sourceMappingURL=target-size.js.map