import { getClickableRegion } from "../dom/get-clickable-region.js";
/**
 * Returns a predicate testing that the clickable region of an element contains a sufficiently large rectangle.
 */
export function hasSufficientSize(size, device) {
    return (element) => getClickableRegion(device, element).some((box) => box.width >= size && box.height >= size);
}
//# sourceMappingURL=has-sufficient-size.js.map