import { Diagnostic, Rule } from "@siteimprove/alfa-act";
import type { Document } from "@siteimprove/alfa-dom";
import { Element } from "@siteimprove/alfa-dom";
import { Err, Ok } from "@siteimprove/alfa-result";
import type { Page } from "@siteimprove/alfa-web";
import { Question } from "../common/act/question.js";
/**
 * This version of R87 ask questions whose subject is not the target of the rule.
 * The context of the question is still the test target (the document), but the
 * subjects can be various elements (the first focusable element, or its
 * destination once it's been identified as a link).
 * This needs changes in Dory, Nemo, and likely databases to be stored;
 * this needs changes in the Page Report to be able to highlight an element
 * different from the test target.
 */
declare const _default: Rule.Atomic<Page, Document, Question.Metadata, Element<string>>;
export default _default;
/**
 * @public
 */
export declare namespace Outcomes {
    const HasNoTabbable: Err<Diagnostic>;
    const FirstTabbableIsNotLink: Err<Diagnostic>;
    const FirstTabbableIsNotInternalLink: Err<Diagnostic>;
    const FirstTabbableIsIgnored: Err<Diagnostic>;
    const FirstTabbableIsNotVisible: Err<Diagnostic>;
    const FirstTabbableIsLinkToContent: Ok<Diagnostic>;
    const FirstTabbableIsNotLinkToContent: Err<Diagnostic>;
}
//# sourceMappingURL=rule.d.ts.map